Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for e-Mail API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.connector.emailadapter.appconn
Class EmailMessageContainerImpl

    java.lang.Object
      com.stc.connector.emailadapter.appconn.EmailMessageContainerImpl

All Implemented Interfaces:
  EmailMessageContainer, com.stc.connector.persistence.bpel.PersistableData

    public class EmailMessageContainerImpl

extends java.lang.Object
implements EmailMessageContainer, com.stc.connector.persistence.bpel.PersistableData

This class implements the container for the actual EmailMessage. This class is needed in the inbound case since it maps to the WSDL message type for the receive operation.

Version:
  $Version$
Author:
  $Author: chuang $

Constructor Summary
`EmailMessageContainerImpl()` Constructor for EmailMessageContainer Used when restoring a BPEL message.
`EmailMessageContainerImpl(EmailMessage msg)` Constructor for EmailMessageContainer

Method Summary
`EmailMessage` | `getEmailMessage()` Gets the EmailMessage instance.
`void` | `persist(com.stc.connector.persistence.bpel.DataOutput dout)` Persists (serialize) this message.
`void` | `restore(com.stc.connector.persistence.bpel.DataInput din)` Restore (deserialize) this message.
`void` | `setEmailMessage(EmailMessage msg)` Sets the EmailMessage instance.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EmailMessageContainerImpl

    public EmailMessageContainerImpl()

  Constructor for EmailMessageContainer Used when restoring a BPEL message.

### EmailMessageContainerImpl

    public EmailMessageContainerImpl(EmailMessage msg)

  Constructor for EmailMessageContainer

  Parameters:
    `msg` - The instance of EmailMessage which this container wraps.

Method Detail

### getEmailMessage

    public EmailMessage getEmailMessage()

  Gets the EmailMessage instance.

  Specified by:
    `getEmailMessage` in interface `EmailMessageContainer`
  Returns:
    An instance of EmailMessage.

### setEmailMessage

    public void setEmailMessage(EmailMessage msg)

  Sets the EmailMessage instance.

  Specified by:
    `setEmailMessage` in interface `EmailMessageContainer`
  Parameters:
    `msg` - An instance of EmailMessage.

### persist

    public void persist(com.stc.connector.persistence.bpel.DataOutput dout)
                 throws java.lang.Exception

  Persists (serialize) this message.

  Specified by:
    `persist` in interface `com.stc.connector.persistence.bpel.PersistableData`
  Parameters:
    `dout` - The DataOutput to which the Java Bean message is persisted.
  Throws:
    `java.lang.Exception` - upon error.

### restore

    public void restore(com.stc.connector.persistence.bpel.DataInput din)
                 throws java.lang.Exception

  Restore (deserialize) this message.

  Specified by:
    `restore` in interface `com.stc.connector.persistence.bpel.PersistableData`
  Parameters:
    `dis` - The DataInput from which the Java Bean message is restored.
  Throws:
    `java.lang.Exception` - upon error.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for e-Mail API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD